[SciPy-User] build svn scipy on osx 10.6

David Cournapeau cournape@gmail....
Mon Dec 21 16:34:08 CST 2009


On Tue, Dec 22, 2009 at 2:20 AM, Massimo Di Stefano
<massimodisasha@yahoo.it> wrote:
> Hi,
>
> i'm tring to install scipy from svn on mac osx 10.6
>
> to build numpy i had to remove the system numpy,
> then to have 64 bit support i had to install gfortran from macscience site.

the tests errors are caused by setuptools being stupid: for some
reasons totally beyond me, setuptools (or easy_install) thinks it is a
good idea to make the test scripts executables whereas they should
not. Use the setup.py, there is no reason to use setuptools unless you
know what you are doing, and installing as egg has no use in normal
configuration.


>
> import :   linalg, io gived me a segfault
>
> In [1]: from scipy import io, linalg
> Segmentation fault

What happened most likely is that you did not rebuild scipy from
scratch: remove the installed scipy (in /Library/....), remove the
build directory of scipy, and then rebuild and reinstall scipy.

cheers,

David


More information about the SciPy-User mailing list